petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSeqAIJRegister

- Adds a new sub-matrix type for sequential AIJ matrices

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqAIJRegister(const char sname[],PetscErrorCode (*function)(Mat,MatType,MatReuse,Mat *))

Not Collective

### Input Parameters

| name | - name of a new user-defined matrix type, for example MATSEQAIJCRL
| function | - routine to convert to subtype

### Notes

MatSeqAIJRegister() may be called multiple times to add several user-defined solvers.

Then, your matrix can be chosen with the procedural interface at runtime via the option

        -mat_seqaij_type my_mat

### Keywords

Mat, register

### See Also

MatSeqAIJRegisterAll()

### Level

advanced

### Location

src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages